<?php
/**
 * Default theme options.
 *
 * @package Marsh Builder
 */

if ( ! function_exists( 'marsh_builder_get_default_theme_options' ) ) :

	/**
	 * Get default theme options.
	 *
	 * @since 1.0.0
	 *
	 * @return array Default theme options.
	 */
function marsh_builder_get_default_theme_options() {

	$marsh_builder_defaults = array();

	// Contact Details
	$marsh_builder_defaults['marsh_builder_show_contact_details'] 		= true;
	$marsh_builder_defaults['marsh_builder_address_one']				= esc_html__('214 West Arnold St','marsh-builder');
	$marsh_builder_defaults['marsh_builder_address_two']				= esc_html__('New York, NY 10002','marsh-builder');
	$marsh_builder_defaults['marsh_builder_phone_number']				= esc_html__('(007) 123 456 7890','marsh-builder');
	$marsh_builder_defaults['marsh_builder_opening_time']				= esc_html__('Mon-Fri 10:00am-7:30pm','marsh-builder');
	$marsh_builder_defaults['marsh_builder_email_id']					= esc_html__('info@example.com','marsh-builder');
	$marsh_builder_defaults['marsh_builder_support_text']				= esc_html__('24 X 7 online support','marsh-builder');

	// Menu
	$marsh_builder_defaults['marsh_builder_show_menu_button'] 			= true;
	$marsh_builder_defaults['marsh_builder_menu_button_text']			= esc_html__('Book Appointment','marsh-builder');
	$marsh_builder_defaults['marsh_builder_menu_button_url']			= esc_url('#','marsh-builder');

	// Front Page Header Image
	$marsh_builder_defaults['enable_frontpage_header_image']  = false;

	//General Section
	$marsh_builder_defaults['readmore_text']					= esc_html__('Read More','marsh-builder');
	$marsh_builder_defaults['your_latest_posts_title']			= esc_html__('Blog','marsh-builder');
	$marsh_builder_defaults['excerpt_length']					= 10;
	$marsh_builder_defaults['layout_options_blog']				= 'no-sidebar';
	$marsh_builder_defaults['layout_options_archive']			= 'no-sidebar';
	$marsh_builder_defaults['layout_options_page']				= 'no-sidebar';	
	$marsh_builder_defaults['layout_options_single']			= 'right-sidebar';	

	//Footer section 		
	$marsh_builder_defaults['copyright_text']					= esc_html__( 'Copyright &copy; All rights reserved.', 'marsh-builder' );

	// Pass through filter.
	$marsh_builder_defaults = apply_filters( 'marsh_builder_filter_default_theme_options', $marsh_builder_defaults );
	return $marsh_builder_defaults;
}

endif;

/**
*  Get theme options
*/
if ( ! function_exists( 'marsh_builder_get_option' ) ) :

	/**
	 * Get theme option
	 *
	 * @since 1.0.0
	 *
	 * @param string $key Option key.
	 * @return mixed Option value.
	 */
	function marsh_builder_get_option( $key ) {

		$marsh_builder_default_options = marsh_builder_get_default_theme_options();
		if ( empty( $key ) ) {
			return;
		}

		$marsh_builder_theme_options = (array)get_theme_mod( 'theme_options' );
		$marsh_builder_theme_options = wp_parse_args( $marsh_builder_theme_options, $marsh_builder_default_options );

		$value = null;

		if ( isset( $marsh_builder_theme_options[ $key ] ) ) {
			$value = $marsh_builder_theme_options[ $key ];
		}

		return $value;

	}

endif;